Skip to main content
GET
/
v1
/
sessions
/
{sessionId}
/
report
Retrieve data for a specific session
curl --request GET \
  --url https://api.roundtable.ai/v1/sessions/{sessionId}/report \
  --header 'Authorization: Bearer <token>'
{
  "session_id": "abc123def456",
  "user_id": "user-456",
  "tags": [
    "intake-survey",
    "checkout-flow"
  ],
  "risk_score": 75,
  "risk_explanation": "User was flagged for multiple likely bot behavior, indicating a medium to high risk of fraud.",
  "user_logs": [
    {
      "action": "Signed in",
      "user_time": "Mar 25, 2025 14:30:45",
      "unix_timestamp": 1743055845000
    },
    {
      "action": "Navigated to /dashboard",
      "user_time": "Mar 25, 2025 14:30:50",
      "unix_timestamp": 1743055850000
    },
    {
      "action": "Updated credit card",
      "user_time": "Mar 25, 2025 14:32:15",
      "unix_timestamp": 1743055935000
    }
  ],
  "biometric_checks": {
    "programmatic_typing": "Detected",
    "teleporting_mouse": "Not detected",
    "no_corrections": "Detected",
    "all_pasted": "Unknown",
    "jump_scrolling": "Detected",
    "centered_clicks": "Detected"
  },
  "device_checks": {
    "bot": "Detected",
    "virtual_machine": "Not detected",
    "vpn": "Detected",
    "tor": "Not detected",
    "location_spoofing": "Unknown"
  }
}

Authorizations

Authorization
string
header
required

Use your secret API key as the bearer token

Path Parameters

sessionId
string
required

The unique session identifier (from window.getRoundtableSessionId())

Response

200 - application/json

Session data retrieved successfully

session_id
string

Unique identifier for the session

Example:

"abc123def456"

user_id
string

User identifier provided during script initialization (if any)

Example:

"user-456"

tags
string[]

Tags associated with this session

Example:
["intake-survey", "checkout-flow"]
risk_score
integer

Overall risk score for the session (0-100). Higher scores indicate higher risk.

Required range: 0 <= x <= 100
Example:

75

risk_explanation
string

Short explanation of the factors contributing to the risk score

Example:

"User was flagged for multiple likely bot behavior, indicating a medium to high risk of fraud."

user_logs
object[]

Chronological list of user actions recorded during the session

Example:
[
{
"action": "Signed in",
"user_time": "Mar 25, 2025 14:30:45",
"unix_timestamp": 1743055845000
},
{
"action": "Navigated to /dashboard",
"user_time": "Mar 25, 2025 14:30:50",
"unix_timestamp": 1743055850000
},
{
"action": "Updated credit card",
"user_time": "Mar 25, 2025 14:32:15",
"unix_timestamp": 1743055935000
}
]
biometric_checks
object

Results of biometric analysis for bot detection

Example:
{
"programmatic_typing": "Detected",
"teleporting_mouse": "Not detected",
"no_corrections": "Detected",
"all_pasted": "Unknown",
"jump_scrolling": "Detected",
"centered_clicks": "Detected"
}
device_checks
object

Results of device and network checks for environment anomalies

Example:
{
"bot": "Detected",
"virtual_machine": "Not detected",
"vpn": "Detected",
"tor": "Not detected",
"location_spoofing": "Unknown"
}